package com.uas.cloud.mall.payment;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.context.request.async.DeferredResult;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

/**
 * Created by huhui on 2017/3/4.
 */

@Configuration
@EnableSwagger2
public class SwaggerConfig {

    @Bean
    public Docket serviceApi(){
        return new Docket(DocumentationType.SWAGGER_2)
                .groupName("internal-api")
                .genericModelSubstitutes(DeferredResult.class)
                .useDefaultResponseMessages(false)
                .forCodeGeneration(true)
                .pathMapping("/")  // base，最终调用接口后会和paths拼接在一起
                .select()
                .apis(RequestHandlerSelectors.basePackage("com.uas.cloud.mall.payment")) // 扫描的包，建议配置写Controller的包
                .paths(PathSelectors.regex("/*.*"))//   过滤的接口，根据正则表达式来匹配
                .build()
                .apiInfo(apiInfo());
    }

    private ApiInfo apiInfo(){
        ApiInfo apiInfo = new ApiInfo("大标题（一般写服务名称）",// 大标题
                "小标题（对服务的描述）",// 小标题
                "版本（比如0.1）", // 版本
                "服务地址URL", // 服务地址URL
                "作者（该服务编写者）", //作者
                " 链接显示文字（）", // 链接显示文字
                "网站链接（www.baidu.com）" //网站链接
        );
        return apiInfo;
    }

}
