package com.uas.cloud.mall.payment.domain;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "trade$ysepay")
public class Payment implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = 1L;

    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "trade$payment_gen")
    @SequenceGenerator(name = "trade$payment_gen", sequenceName = "trade$payment_seq", allocationSize = 1)
    @Column(name = "id")
    private Long id;

    /**
     * 交易流水号
     */
    @Column(name = "yse_id", unique = true)
    private String yseid;

    /**
     * 订单号
     */
    @Column(name = "yse_out_trade_no", unique = true)
    private String orderid;

    /**
     * 交易状态
     */
    @Column(name = "yse_state")
    private String state;

    /**
     * 银盛支付交易流水号
     */
    @Column(name = "yse_trade_no")
    private String tradeNo;

    /**
     * 付款成功金额
     */
    @Column(name = "yse_total_amount")
    private String totalAmount;

    /**
     * 付款金额入账日期
     */
    @Column(name = "yse_payment_account_date")
    private Date paymentAccountDate;

    /**
     * 付款成功异步通知时间
     */
    @Column(name = "yse_notify_time")
    private Date notifyTime;

    /**
     * 付款成功异步通知类型
     */
    @Column(name = "yse_notify_type")
    private String notifyType;

    /**
     * 签名类型
     */
    @Column(name = "yse_sign_type")
    private String signType;

    /**
     * 付款签名
     */
    @Column(name = "yse_payment_sign")
    private String paymentSign;

    /**
     * 退款金额
     */
    @Column(name = "yse_refund_amount")
    private String refundAmount;

    /**
     * 退款入账时间
     */
    @Column(name = "yse_refund_account_date")
    private Date refundAccountDate;

    /**
     * 退款签名
     */
    @Column(name = "yse_refund_sign")
    private String refundSign;

    /**
     * 退款号
     */
    @Column(name = "yse_refundid")
    private String refundId;

    public Payment() {

    }

    public Payment(String yseid, String orderid, String state, String tradeNo, String totalAmount,
                            Date paymentAccountDate, Date notifyTime, String notifyType, String signType, String paymentSign) {
        super();
        this.yseid = yseid;
        this.orderid = orderid;
        this.state = state;
        this.tradeNo = tradeNo;
        this.totalAmount = totalAmount;
        this.paymentAccountDate = paymentAccountDate;
        this.notifyTime = notifyTime;
        this.notifyType = notifyType;
        this.signType = signType;
        this.paymentSign = paymentSign;
    }

    public Payment(String yseid, String orderid, String refundId, String state, String tradeNo,
                            String totalAmount, Date paymentAccountDate, String refundAmount, Date refundAccountDate,
                            String refundSign) {
        super();
        this.yseid = yseid;
        this.orderid = orderid;
        this.refundId = refundId;
        this.state = state;
        this.tradeNo = tradeNo;
        this.totalAmount = totalAmount;
        this.paymentAccountDate = paymentAccountDate;
        this.refundAmount = refundAmount;
        this.refundAccountDate = refundAccountDate;
        this.refundSign = refundSign;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getYseid() {
        return yseid;
    }

    public void setYseid(String yseid) {
        this.yseid = yseid;
    }

    public String getOrderid() {
        return orderid;
    }

    public void setOrderid(String orderid) {
        this.orderid = orderid;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getTradeNo() {
        return tradeNo;
    }

    public void setTradeNo(String tradeNo) {
        this.tradeNo = tradeNo;
    }

    public String getTotalAmount() {
        return totalAmount;
    }

    public void setTotalAmount(String totalAmount) {
        this.totalAmount = totalAmount;
    }

    public Date getPaymentAccountDate() {
        return paymentAccountDate;
    }

    public void setPaymentAccountDate(Date paymentAccountDate) {
        this.paymentAccountDate = paymentAccountDate;
    }

    public Date getNotifyTime() {
        return notifyTime;
    }

    public void setNotifyTime(Date notifyTime) {
        this.notifyTime = notifyTime;
    }

    public String getNotifyType() {
        return notifyType;
    }

    public void setNotifyType(String notifyType) {
        this.notifyType = notifyType;
    }

    public String getSignType() {
        return signType;
    }

    public void setSignType(String signType) {
        this.signType = signType;
    }

    public String getPaymentSign() {
        return paymentSign;
    }

    public void setPaymentSign(String paymentSign) {
        this.paymentSign = paymentSign;
    }

    public String getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(String refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Date getRefundAccountDate() {
        return refundAccountDate;
    }

    public void setRefundAccountDate(Date refundAccountDate) {
        this.refundAccountDate = refundAccountDate;
    }

    public String getRefundSign() {
        return refundSign;
    }

    public void setRefundSign(String refundSign) {
        this.refundSign = refundSign;
    }

    public static long getSerialversionuid() {
        return serialVersionUID;
    }

    public String getRefundId() {
        return refundId;
    }

    public void setRefundId(String refundId) {
        this.refundId = refundId;
    }

    @Override
    public String toString() {
        return "TradeRecordChart [id=" + id + ", yseid=" + yseid + ", orderid=" + orderid + ", state=" + state + ", tradeNo=" + tradeNo
                + ", totalAmount=" + totalAmount + ", paymentAccountDate=" + paymentAccountDate + ", notifyTime=" + notifyTime
                + ", notifyType=" + notifyType + ", signType=" + signType + ", paymentSign=" + paymentSign + ", refundAmount="
                + refundAmount + ", refundAccountDate=" + refundAccountDate + ", refundSign=" + refundSign + ", refundId=" + refundId + "]";
    }
}